# <hatch>

The `<hatch>` CSS type represents a character used in the [hatch](../styles/hatch.md) rule.

## Syntax

| Value        | Description                    |
|--------------|--------------------------------|
| `cross`      | A diagonal crossed line.       |
| `horizontal` | A horizontal line.             |
| `left`       | A left leaning diagonal line.  |
| `right`      | A right leaning diagonal line. |
| `vertical`   | A vertical line.               |


## Examples

### CSS


```css
.some-class {
    hatch: cross green;
}
```

### Python

```py
widget.styles.hatch = ("cross", "red")
```

## Used by

- [`hatch`](../styles/hatch.md) - Hatch style property
